Subject: Customize option setting with key should be more lenient

From: scame <[email-masked]>
Date: Fri, 09 Apr 2021 08:31:21 +0000

If I press return on the text indicated by an arrow on the attached
picture I get the error:

You can’t edit this part of the Custom buffer

Why? Why do I have to stand on the box specifically to toggle the
option? Customize should allow me to press return on the text
too to toggle the option.